package com.unibuy.smartdevice.structure;

public class ReportInvoiceInfoStructure {
    String reportFlowId;
    String rtnCode;
    String rtnMsg;
    String invoiceNo;
    String invoiceDate;
    String randomNumber;
    String loveCode;

    public ReportInvoiceInfoStructure(String reportFlowId, String rtnCode, String rtnMsg, String invoiceNo, String invoiceDate, String randomNumber, String loveCode) {
        this.reportFlowId = reportFlowId;
        this.rtnCode = rtnCode;
        this.rtnMsg = rtnMsg;
        this.invoiceNo = invoiceNo;
        this.invoiceDate = invoiceDate;
        this.randomNumber = randomNumber;
        this.loveCode = loveCode;
    }

    public String getReportFlowId() {
        return reportFlowId;
    }

    public void setReportFlowId(String reportFlowId) {
        this.reportFlowId = reportFlowId;
    }

    public String getRtnCode() {
        return rtnCode;
    }

    public void setRtnCode(String rtnCode) {
        this.rtnCode = rtnCode;
    }

    public String getRtnMsg() {
        return rtnMsg;
    }

    public void setRtnMsg(String rtnMsg) {
        this.rtnMsg = rtnMsg;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getRandomNumber() {
        return randomNumber;
    }

    public void setRandomNumber(String randomNumber) {
        this.randomNumber = randomNumber;
    }

    public String getLoveCode() {
        return loveCode;
    }

    public void setLoveCode(String loveCode) {
        this.loveCode = loveCode;
    }

    @Override
    public String toString() {
        return "ReportInvoiceInfoStructure{" +
                "reportFlowId='" + reportFlowId + '\'' +
                ", rtnCode='" + rtnCode + '\'' +
                ", rtnMsg='" + rtnMsg + '\'' +
                ", invoiceNo='" + invoiceNo + '\'' +
                ", invoiceDate='" + invoiceDate + '\'' +
                ", randomNumber='" + randomNumber + '\'' +
                ", loveCode='" + loveCode + '\'' +
                '}';
    }
}
